Register for the iXsystems Community to get an ad-free experience and exclusive discounts in our eBay Store.

11.2-U8 to 11.3-U4 upgrade questions

Western Digital Drives - The Preferred Drives of FreeNAS and TrueNAS CORE

alwu

Member
Joined
Jan 24, 2018
Messages
28
i'm currently running 11.2-U8 with the new web interface. i'm only running 2 plugins, plex and qbittorrent, which were installed via the web interface. i'm not running any other plugins or jails.

i'm thinking about upgrading to 11.3-U4, but i have some questions about the plugins. i understand that plugins are handled differently in 11.3 than 11.2. i don't know exactly how they're different. i remember reading somewhere, like maybe the 11.3 release notes or an announcement about 11.3, that there were changes to the plugins system in 11.3. when i upgrade to 11.3-U4, will my plugins also get upgraded to be "new" plugins? will i be able to update my plex server and qbittorrent versions just by updating the plugins? i'm fine with waiting for plugins to get updated when plex and qbittorrent get updated. or will i need to do fresh, new installs of the plex and qbittorrent plugins in order to be get updates?
 

Alecmascot

Senior Member
Joined
Mar 18, 2014
Messages
512
Most of your qestion was covered recently :
 

alwu

Member
Joined
Jan 24, 2018
Messages
28
thanks! i went through with the upgrade and almost everything seems to be working fine. my plex and qbittorrent plugins are running, but there seems to be some minor issues with them. in the list of available plugins, it says that i have an 1 installed instance of qbittorrent and 0 installed instances of plex. why isn't freenas recognizing my plex plugin? i tried to update plex and qbittorrent. they semed to go through the update process but then i got this message.

ERROR: [Efault] No updates available for qbittorrent/plex

when i go the admin web pages for plex and qbittorrent, they show that they're running the latest versions, so they were updated. is there something i need to do or fix to get freenas to recognize and update my plugins correctly?

both my plex and qbittorrent plugin jails are pluginv2 type and are on the 11.2-RELEASE-p15 release.
 

Alecmascot

Senior Member
Joined
Mar 18, 2014
Messages
512
Did you convert the jails from Warden to Iocage ?
 

alwu

Member
Joined
Jan 24, 2018
Messages
28
i didn't need to. when i was running 11.2-U8, i used the new web interface to install the plex and qbittorrent plugins, so they used iocage jails.

my plugins and jails are working and seen correctly by the os now. i updated the jail release for my plex jail to 11.3-RELEASE and now freenas sees that i have one plex installed instance. qbittorrent was fine but i updated it's jail to release 11.3-RELEASE as well.

my guess about the efault errors about no updates being available was that when my jails were on the 11.2-RELEASE, plex and qbittorrent were at their latest versions for that release. they were at the end of the update train for that release. so it seems like there could be a bug in the plugin updating feature. when my plugins were still on the old release, i was able to update them to the latest versions. the efault errors showed up after the the updating was done. it seems like the check should have been done before any updating happened. i'll know if the efault errors were release related when new updates are available for plex and qbittorrent.
 
Top